Skip to main content
DELETE
/
v3
/
workflows
/
{workflow_id}
/
curl -X DELETE 'https://api.anyformat.ai/v3/workflows/0686bb97-8c30-70f0-8000-97669e000eb8/' \
  -H 'Authorization: Bearer YOUR_API_KEY'
import requests

workflow_id = "0686bb97-8c30-70f0-8000-97669e000eb8"
url = f"https://api.anyformat.ai/v3/workflows/{workflow_id}/"
headers = {"Authorization": "Bearer YOUR_API_KEY"}

response = requests.delete(url, headers=headers)
assert response.status_code == 204
{
  "error": "Authentication failed.",
  "detail": "Authentication failed.",
  "error_code": "AUTH_FAILED",
  "retryable": false,
  "request_id": "req_abc123"
}
{
"error": "Resource not found.",
"detail": "Resource not found.",
"error_code": "NOT_FOUND",
"retryable": false,
"request_id": "req_abc123"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
{
"error": "Rate limit exceeded — retry after backoff.",
"detail": "Rate limit exceeded — retry after backoff.",
"error_code": "RATE_LIMITED",
"retryable": true,
"request_id": "req_abc123"
}
Rate limit tier: general (600 req/min) — see Rate limits. Deletes a workflow along with all of its document packets and runs. This action is irreversible. Returns 204 No Content on success. Unknown ids — including workflows belonging to another organization — return 404.
curl -X DELETE 'https://api.anyformat.ai/v3/workflows/0686bb97-8c30-70f0-8000-97669e000eb8/' \
  -H 'Authorization: Bearer YOUR_API_KEY'
import requests

workflow_id = "0686bb97-8c30-70f0-8000-97669e000eb8"
url = f"https://api.anyformat.ai/v3/workflows/{workflow_id}/"
headers = {"Authorization": "Bearer YOUR_API_KEY"}

response = requests.delete(url, headers=headers)
assert response.status_code == 204

Authorizations

Authorization
string
header
required

API key issued from app.anyformat.ai/api-key. Send as Authorization: Bearer <key>.

Path Parameters

workflow_id
string
required

Response

Successful Response